$(function() {
	var $loadingOverlay = $('.loading-overlay')

	Pace.start()
	Pace.on('done', function() {
		$('html').addClass('init-scrollbar')
		$loadingOverlay.addClass('--done')

		setTimeout(function() {
			$loadingOverlay.remove()
		}, 2000)
	})

	// iOS fix
	Pace.on('start', function() {
		if (/iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream) {
			jQuery(window).load(function() {
				Pace.stop()
			})
		}
	})
})
